Loading...
Searching...
No Matches
readosm_relation_struct Struct Reference

a struct representing a RELATION object, and wrapping a complex XML fragment like the following: More...

`#include <readosm.h>`

Collaboration diagram for readosm_relation_struct:
[legend]

## Data Fields

const long long | id
| RELATION-ID (expected to be a unique value).
const int | version
| object version
const long long | changeset
| ChangeSet ID.
const char * | user
| name of the User defining this RELATION
const int | uid
| corresponding numeric UserID
const char * | timestamp
| when this RELATION was defined
const int | member_count
| number of associated MEMBERs (may be zero)
const readosm_member * | members
| array of MEMBER objects (may be NULL)
const int | tag_count
| number of associated TAGs (may be zero)
const readosm_tag * | tags
| array of TAG objects (may be NULL)

## Detailed Description

a struct representing a RELATION object, and wrapping a complex XML fragment like the following:

    <relation id="12345" version="1" changeset="54321" user="some-user" uid="66" timestamp="2005-02-28T17:45:15Z">
            <member type="way" ref="12345" role="outer" />
            <member type="way" ref="12346" role="inner" />
            <tag key="created_by" value="JOSM" />
            <tag key="tourism" value="camp_site" />
    </relation>

The documentation for this struct was generated from the following file:

- headers/readosm.h